[Overview][Constants][Types][Index] | Reference for unit 'unixtype' (#rtl)

# sem_t

Semaphore type. (opaque)

## Declaration

Source position: ptypes.inc line 251

`type sem_t = record`
`__sem_lock: _pthread_fastlock;` |  | ?
`__sem_value: cint;` |  | ?
`__sem_waiting: pointer;` |  | ?
`end;`

## Description

sem_t describes a thread semaphore. It should be considered an opaque record, the names of the fields can change anytime.

Documentation generated on: Feb 26 2014